[PC-BSD Commits] r3157 - in pbibuild/modules/k3b: . overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Tue Dec 30 07:30:26 PST 2008
Author: kris
Date: 2008-12-30 07:30:26 -0800 (Tue, 30 Dec 2008)
New Revision: 3157
Modified:
pbibuild/modules/k3b/copy-files
pbibuild/modules/k3b/overlay-dir/PBI.RemoveScript.sh
pbibuild/modules/k3b/overlay-dir/PBI.SetupScript.sh
pbibuild/modules/k3b/pbi.conf
Log:
Updated K3B, with 100% less messy links!
Modified: pbibuild/modules/k3b/copy-files
===================================================================
--- pbibuild/modules/k3b/copy-files 2008-12-30 15:21:37 UTC (rev 3156)
+++ pbibuild/modules/k3b/copy-files 2008-12-30 15:30:26 UTC (rev 3157)
@@ -57,10 +57,13 @@
/usr/local/bin/xvid4conf bin/
/usr/local/lib/kde3/kfile_kdb* autolibs/kde3/
/usr/local/lib/kde3/libk3b* autolibs/kde3/
-/usr/local/lib/kde3/kio_videodvd* autolibs/kde3/
+/usr/local/lib/kde3/kio* autolibs/kde3/
/usr/local/lib/libk3b* autolibs/
/usr/local/lib/libmp3lame* autolibs/
-/usr/local/share/apps/k3b share/apps/
+/usr/local/share/apps share/
+/usr/local/share/config share/
+/usr/local/share/config.kcfg share/
+/usr/local/share/servicetypes share/
+/usr/local/share/mimelnk share/
/usr/local/share/sounds/k3b* share/sounds/
-/usr/local/share/services/kfile_k3b* share/services/
-/usr/local/share/services/videodvd.protocol share/services/
+/usr/local/share/services share/
Modified: pbibuild/modules/k3b/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/k3b/overlay-dir/PBI.RemoveScript.sh 2008-12-30 15:21:37 UTC (rev 3156)
+++ pbibuild/modules/k3b/overlay-dir/PBI.RemoveScript.sh 2008-12-30 15:30:26 UTC (rev 3157)
@@ -7,48 +7,15 @@
# TIP: 'kdialog' should be used for user interaction.
#########################################
-rm /usr/local/bin/k3b
-rm /usr/local/share/apps/k3b
-rm /usr/local/share/services/kfile_k3b.desktop
-rm /usr/local/share/services/videodvd.protocol
-
-# Remove the services links
-cd /Programs/${1}/autolibs/kde3/
-for i in `ls`
-do
- rm /usr/local/lib/kde3/${i}
-done
-
-# Remove the sound links
-cd /Programs/${1}/share/sounds/
-for i in `ls`
-do
- rm /usr/local/share/sounds/${i}
-done
-
-# Remove the old locale files since we are uninstalling
-LANGFILE="k3b.mo"
-LANGFILE1="k3bsetup.mo"
-LANGFILE2="libk3b.mo"
-LANGFILE3="libk3bdevice.mo"
-cd /Programs/${PROGDIR}/locale
-for i in `ls`
-do
- rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
- rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE1}
- rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE2}
- rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE3}
-done
-
cd /home
for i in `ls`
- do
- if [ -d "/home/${i}/.k3b" ]
- then
- kdialog --title "Uninstalling K3b!" --yesno "Do you wish to erase K3b's configuration files for ${i} user as well?"
- if [ "$?" = "0" ]
- then
- rm -R /home/${i}/.k3b
- fi
- fi
- done
+do
+ if [ -d "/home/${i}/.k3b" ]
+ then
+ kdialog --title "Uninstalling K3b!" --yesno "Do you wish to erase K3b's configuration files for ${i} user as well?"
+ if [ "$?" = "0" ]
+ then
+ rm -R /home/${i}/.k3b
+ fi
+ fi
+done
Modified: pbibuild/modules/k3b/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/k3b/overlay-dir/PBI.SetupScript.sh 2008-12-30 15:21:37 UTC (rev 3156)
+++ pbibuild/modules/k3b/overlay-dir/PBI.SetupScript.sh 2008-12-30 15:30:26 UTC (rev 3157)
@@ -14,41 +14,13 @@
# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
# echo 'MSG: <text>' # Display this text above progress bar
#########################################
-ln -s /Programs/${PROGDIR}/.sbin/k3b /usr/local/bin/k3b
-ln -s /Programs/${PROGDIR}/share/apps/k3b /usr/local/share/apps/k3b
-ln -s /Programs/${PROGDIR}/share/services/kfile_k3b.desktop /usr/local/share/services/kfile_k3b.desktop
-ln -s /Programs/${PROGDIR}/share/services/videodvd.protocol /usr/local/share/services/videodvd.protocol
-# Make links for services
-cd /Programs/${PROGDIR}/autolibs/kde3/
-for i in `ls`
-do
- # Link the services now
- ln -s /Programs/${PROGDIR}/autolibs/kde3/${i} /usr/local/lib/kde3/${i}
-done
+# Check which font config we want to link to
+if [ -d "/PCBSD/local/etc/fonts" ]
+then
+ ln -s /PCBSD/local/etc/fonts /Programs/${PROGDIR}/etc/fonts
+else
+ ln -s /usr/local/etc/fonts /Programs/${PROGDIR}/etc/fonts
+fi
-# Make links for sounds wav files
-cd /Programs/${PROGDIR}/share/sounds/
-for i in `ls`
-do
- # Link the services now
- ln -s /Programs/${PROGDIR}/share/sounds/${i} /usr/local/share/sounds/${i}
-done
-
-# Copy over all the LANG files
-LANGFILE="k3b.mo"
-LANGFILE1="k3bsetup.mo"
-LANGFILE2="libk3b.mo"
-LANGFILE3="libk3bdevice.mo"
-cd /Programs/${PROGDIR}/locale
-for i in `ls`
-do
- mkdir -p /usr/local/share/locale/${i}/LC_MESSAGES >/dev/null 2>/dev/null
- cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
- cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE1} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE1}
- cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE2} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE2}
- cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE3} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE3}
-done
-
-
-echo "LAUNCHCLOSE: /usr/local/bin/k3b"
+echo "LAUNCHCLOSE: /Programs/bin/k3b"
Modified: pbibuild/modules/k3b/pbi.conf
===================================================================
--- pbibuild/modules/k3b/pbi.conf 2008-12-30 15:21:37 UTC (rev 3156)
+++ pbibuild/modules/k3b/pbi.conf 2008-12-30 15:30:26 UTC (rev 3157)
@@ -32,6 +32,6 @@
# Build Key - Change this to anything else to trigger a rebuild
# - The rebuild will take place even if port is still the same ver
-BUILDKEY="27"
+BUILDKEY="01"
export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list